Subject: bug#40046: 28.0.50; infinite recursion futimens -> fdutimens -> futimens -> ...

From: Paul Eggert <[email-masked]>
Date: Thu, 12 Mar 2020 16:47:54 -0700

On 3/12/20 3:03 PM, Mattias Engdegård wrote:
> On macOS 10.14, futimens in lib/futimens.c calls fdutimens in lib/utimens.c which calls futimens again, recursing until the stack is full. This cause Fcopy_file to crash, for instance.
> 
> No doubt I've made a silly configuration error, but I've wiped the (out-of-tree) build directory, regenerated configure and all. As expedience I commented out the futimens definition. Not sure how this is supposed to work really -- what am I missing? HAVE_FUTIMENS is set in config.h.

This feels like Bug#39948. I suggest cloning the source directory from 
git master, and starting afresh. Merely wiping out the build directory 
does not always suffice (I don't know why).